<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\Anmeldung\NewTeilnehmer;

class NewTeilnehmerPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new NewTeilnehmerView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new NewTeilnehmerViewModel();
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->teilnehmer = $this->useCaseResponse->teilnehmer;

    return $viewModel;
  }
}